Twitter Tools Notes

At the time of writing this post, I am using two widgets to put tweets on this blog. One is the default widget that Twitter provides. Another is Twitter Tools by Alex King. The plug-in page says that it is compatible up to WordPress version 3.05. I am running 3.10. I tried to get it to work, but I could not. I assumed that it no longer worked with the latest version of WordPress.

Then I got the bright idea of checking the Apache logs. There was a line that said something about not being able to find some PHP function.

So I hit the google. It turns out I needed to install another PHP pacakge. I found this page, that told me I had to install php5-curl.

Of course, you will also need curl on your system as well. I checked the docs. There is nothing about curl.

If you are using a shared hosting service, this will probably not be a problem.